Heiwa / Peace update

By 2015-12-07Buffalo + Plex

Thomas left a message and it seems that the Heiwa/Peace firmware works on his LS-XL, although since the device is too slow for Plex, he could only confirm the integrity of the firmware.

It’s a good start but I’m still waiting for more feedback to confirm that everything is fine with this firmware. So far no issues were reported which is also a good sign.

If you have a spare hard drive, please try installing this firmware by removing your hard drives (to make sure your data is safe) and inserting the spare hard drive, then flashing the firmware. A lot of people would like to use Plex for Christmas and the latest Plex is compatible with the new Apple TV too.

If you decide to upgrade the firmware with a spare hard drive, you have to make sure it doesn’t contain partitions and that you can change the IP address of your PC. You can find the details to install a Linkstation with a blank hard drive here.

Regards,

GaryT

27 Comments

  • stef says:

    I’ve been using the 1.71 halloween for a while now on my LS-XL. I don’t use Plex, because I knew it would be too slow for the LS-XL. No bugs, no issues, it works smoother than the orginal firmware.

  • dooky says:

    Hi,

    THe installation went smooth, but once it rebooted, I’ve got an error E14: cannot mount raid1. Even when I reinstalled stock 1.71 the error remained.
    Any idea to recover without loosing data?…

    • garyt says:

      Hi Dooky,

      Apologies for approving your comment so late. I hope you were able to fix your issue. It seems that this is unrelated to your firmware. It might be a HDD issue… Can you try with only one drive inserted?
      You can also put your drives into a Linux machine and check if they can be mounted. In a RAID1 (mirror) scenario, one drive should be enough to mount the volume.

      Fixing HDDs is out of scope for the project or my support capabilities, but feel free to post your results and if anyone has ideas we’ll help as we can.

      – GaryT

  • k0k0g says:

    Hi Gary T!

    I want to test your release but i have a question! Actually i use this firmware on my LinkStation LS-VL Pro :

    http://forum.buffalo.nas-central.org/viewtopic.php?t=23603 with 1.69 mod1

    And my device is full with pictures,movies etc.
    Just upgrade with your firmware and no worries, or backup data?
    Thanks
    Gabor

    • garyt says:

      Hi Gabor,

      Shonk’s firmware is pretty good, if you only need SSH, you can keep his firmware on your NAS. If you want to use Plex on your NAS, you can upgrade to Halloween and you should not experience any issues. (Don’t forget to clear your browser cache as stated in the FAQ.) The only difference is that you’ll get your SSH access on port 2222 instead of the default port 22 which is used in Shonk’s firmware. This is so the SFTP feature of the device is kept intact. (SFTP also uses port 22.)

      – GaryT

  • Peter says:

    Hi Gary,

    Hope you’re doing fine.

    Do you have any update on the new release of the new firmware version? Unfortunately i’m using a Mac, but let me know if i can help you anyhow.

    Best,

    Péter

    • garyt says:

      Hi Peter,

      The ~100 users who tested Heiwa/Peace seem to be content with their results, so I’ll create a proper release soon. (With a Mac installer included.) Thanks for your patience, the holiday season was busy with life so I didn’t have the chance to work on this.

      – GaryT

      • Mike says:

        Hi Gary,
        I don’t mean to bug you because I know these releases are a lot of work and I really appreciate it. I was just wondering if you have an updated timetable for the release. Please let me know and again, we all appreciate all the work.
        Thanks,
        Mike

  • Nadim says:

    Hi,
    I’m a Mac user, the updated the firmware to 1.71 halloween for the LS-QVLA2F Buffalo Link Station, as of no problems with the updates. Utorrent is fine, only issue i’m getting is with the Plex Server.
    If there is a Plex alternative that be great, if not any chance this can be fixed?

    Apart from that, no issue at all with the firmware, good job 🙂

    Thanks,
    Nadim

    • garyt says:

      Hi Nadim,

      What’s the issue with Plex Server? You need to be patient at the first setup, but it should work flawlessly on your Linkstation.

      Regards,
      GaryT

  • flanker says:

    Hi GaryT
    I want to install SVN server, but i found it already installed ??
    and i want to execute ipkg update but fail:
    —————————————————————————————————————————————————–
    root@LS-WVL20A:/# ipkg update
    Downloading http://ipkg.nslu2-linux.org/feeds/optware/cs08q1armel/cross/stable/Packages.gz
    An error ocurred, return value: 1.
    Collected errors:
    ipkg_download: ERROR: Command failed with return value 4: `wget –passive-ftp -q -P /opt/ipkg-VoE1Xm http://ipkg.nslu2-linux.org/feeds/optware/cs08q1armel/cross/stable/Packages.gz
    —————————————————————————————————————————–
    How to fix it?

    Thanks
    – flanker

    • garyt says:

      Hi flanker,

      Apologies for the late reply, I’ve been busy. I can’t really give extra support for things outside of the firmware but from the top of my head return value 4 for wget is a network error. Is it possible that you have your DNS set up wrong?/ What does your /etc/resolv.conf say?

      It’s possible you already fixed your issue, in that case please share your fix so others can learn from it too.

      All the best!
      GaryT

  • ruttolomeo says:

    Transmission doesn’t work, it keeps diyng after being lanched on my LS-VL pro.
    No logs and no messages on screen…currently i’m reverting to a previous release.

    • garyt says:

      Hi ruttolomeo,

      Yup, v1.71 of the Buffalo firmware broke transmission I’m working on fixing it. v1.69 (Peace) release should work for you.

      – GaryT

  • Peter says:

    Thank you GaryT, can’t wait… 😀

  • Joe Noonz says:

    Greetings! Does applying this firmware on a device affect an existing RAID? I have data that I don’t want to lose so I’m hesitant as I don’t have extra drives to use. Thanks!

    • garyt says:

      Yes, RAID is not a problem. Mine is also RAIDed and during all my testing the RAID worked fine.

  • festol says:

    Hi Gary, Firstly i would like to thank for all your work on the buffalo firmwares – I have been using your enhanced versions since day one and they have certainly given the old box a breath of new life.
    The auto update feature is just going to make it even easier in future.

    re – flexget i have a question – it runs separately to transmission yes?
    Would it be possible to have it on its own?

    and it is a long shot i know but –
    Any chance you feel like adding rtorrent+rutorrent to the mix?

    — long version —
    You may remember that some time ago in the ‘nas-central.org’ thread i asked about some stuff
    I have found your options to be working quite well for all but one tracker and have been using a self installed rtorrent for that one

    Only thing is that i cannot seem to get the webui or remotegui to work because of some outdated or incompatible version of xmlrpc-c
    i think that is it – as a rank amateur to all things linux i found the varied instructions quite confusing and could have misunderstood it somewhere
    so i have been just using it via ssh – which is working pretty well but i would be nice to have it in the easy to use interface we have to transmission

    cheers
    /f

    • garyt says:

      Hi festol,

      Thanks for your long standing support – and apologies for the delayed answers.

      FlexGet can be separately run, I just mixed it with Transmission on the web interface to avoid confusion for less techie people. I’ll see if I can do something for you.

      I had a similar experience with rtorrent+rutorrent and I decided to only add one torrent client above the added utorrent. (I’ll look up my notes for the exact reason why I didn’t put rtorrent in there.) I think with the 1.70 or 1.71 update, Buffalo officially moved away from the libraries that are available in optware which will make any integration with other optware packages really hard. (Except if you use the regular /opt folder with the installers.) This means, if I want to integrate xmlrpc, most probably I have to compile it myself. (As I said, through optware’s /opt it might still work but I keep the firmware “optwareless” so people can install optware for their own use.)

      If you were able to make xmlrpc work, please reach out to me with your results. I can’t promise anything at this point, but I’ll keep it in mind to look into compiling a special version.

      – GaryT

  • Jak says:

    Gary,
    I am brand spanking new to NASand I only just got my iTunes moved over to the Buffalo LS441DE (firmware 1.81) this last weekend after four days waiting for the 8TB to finish transferring. I would really like to put the Plex Media Server on my unit nut after waiting day for it to transfer I sure you can understand my caution before loading another firmware on it.
    In you your pervious post on this thread you said, “If you have a spare hard drive, please try installing this firmware by removing your hard drives (to make sure your data is safe) and inserting the spare hard drive, then flashing the firmware. A lot of people would like to use Plex for Christmas and the latest Plex is compatible with the new Apple TV too.”
    Currently my RAID array is mode 5 and I do have additional HDD avalible. I can install with my windows 10 PC (I like my Mac better), my problem is the information already on the HDDs in the RAID. Can you provide anymore information to alleviate my concern about the data that could be lost when the firmware is changed out?
    Jak-

    • garyt says:

      I hope I’m not too late: DO NOT INSTALL THIS FIRMWARE ON YOUR LS441DE.

      The LS441DE is an awesome device but the current firmware is not compatible with it at all. You will brick your NAS by installing this firmware. As soon as I have a little time and money I’ll look into creating a custom firmware for the LS441 too, but for now, this is not the firmware you’re looking for. *Hand gestures like a Jedi.*

      – GaryT

      • Jak says:

        GaryT,
        Thankfully, even though I did not get your reply, I did not attempt to install on my LS441. I ended up taking a whole different approach for my media server. Thank you, I look forward to a new future release with the LS441 in mind.
        Jak-

  • Net7 says:

    Would just like to leave the note here that on the v1.71 release’s I can confirm on all my LS units (LS-X/LS-WX/LS-WV/LS-WSXL), Transmission is a no-go…

    Everything else I have tested so far works like a charm (plex, regular outdated as heck bittorrent, smb/ftp, some other stuff).

    Might want to update the packages in the 1.69 release until the issue can be found in 1.71, I know your time is scarce!

    • Net7 says:

      I really should note here that all my testing and updating is done by first Low Level formatting the drives, then doing the TFTP boot recovery then flashing over your firmware, so never been on another release to upgrade from!

    • Net7 says:

      Who knows, maybe work your magic on v1.70 first, if that works, then a diff will have to be run on 1.70 and 1.71 to see what they broke, or “fixed” in the case of not letting it work anymore! Maybe that settings modifications in v1.71 did it in?

      Firmware Release Note]
      Version 1.71 [2015.8.6]
      Bug Fixes
      – Modified to deal with some vulnerabilities of Settings.
      – Modified to deal with a Bash programming vulnerability (CVE-2014-6278).

      Version 1.70 [2015.4.6]
      Bug Fixes
      – Modified to deal with OpenSSL programming vulnerabilities (CVE-2014-3567 and CVE-2014-3568) that are also known as the POODLE (SSL3.0) vulnerability.
      – Modified to deal with Samba programming vulnerabilities (CVE-2015-0240, CVE-2014-3493, CVE-2014-0244, and CVE-2014-0178).

      Version 1.69 [2014.10.27]
      – Modified to deal with vulnerabilities of Bash programming which allows remote attackers to execute arbitrary commands (CVE-2014-6271 and CVE-2014-7169).

  • gazzwozz says:

    Can anyone give me some pointers on how to ssh as root? I’ve used just about every combination of available account, including u/n: root p/w: password and I always get access denied.

    More transparently I want a means to move files across the drive without using file explorer in windows as it sees it as moving files from one network location to another. Ideally i just want to execute mv command.

    I’m on 1.69-peace, which but for the ssh issue is a great release. Thanks in advance!

Leave a Reply